#pragma once

#include "CoreMinimal.h"
#include "ActivationState.generated.h"

class ADBDPlayer;

USTRUCT(BlueprintType)
struct FActivationState
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ADBDPlayer* HuntedSurvivor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float ScaledFlagActivationTime;

public:
	THEK30_API FActivationState();
};

FORCEINLINE uint32 GetTypeHash(const FActivationState) { return 0; }
